
From: Oleg Drokin <green@namesys.com>

This small patch fixes a savelinks problem on bigendian platforms, where
savelinks were not working at all because of incorrect cpu->disk endianness
conversion.

Savelinks are used on reiserfs to remember "truncate" and "unlink" events
so that if crash happens in the middle of truncate/unlink, we do not endup
with lost or half truncated files.



 25-akpm/fs/reiserfs/super.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/reiserfs/super.c~reiserfs-savelinks-endianness-fix fs/reiserfs/super.c
--- 25/fs/reiserfs/super.c~reiserfs-savelinks-endianness-fix	Thu Jul 31 13:31:32 2003
+++ 25-akpm/fs/reiserfs/super.c	Thu Jul 31 13:31:32 2003
@@ -298,7 +298,7 @@ void add_save_link (struct reiserfs_tran
     }
 
     /* body of "save" link */
-    link = cpu_to_le32 (INODE_PKEY (inode)->k_dir_id);
+    link = INODE_PKEY (inode)->k_dir_id;
 
     /* put "save" link inot tree */
     retval = reiserfs_insert_item (th, &path, &key, &ih, (char *)&link);

_
